Subject: [bug#72536] [PATCH v3] tap: new `--stderr-prefix' option to prefix test script's stderr

From: Richard Hansen <[email-masked]>
Date: Fri, 21 Feb 2025 19:21:29 -0500

On 2/20/25 19:29, Jacob Bachmeyer wrote:
> Could we filter both stdout and stderr through functions that timestamp 
> each line, then merge the two and sort on the timestamps?

Unfortunately this wouldn't help---it would be subject to the same 
reordering race condition.  The timestamp value that is added to a line 
would depend on when the kernel woke up the reading thread/process, so 
the timestamps wouldn't always accurately represent the time the test 
program wrote the line.  If the kernel woke up the stderr and stdout 
threads in the opposite order of writing, then the timestamps would be 
in the wrong order.

-Richard